import request from '@/utils/request'

// 查询资讯信息列表
export function listInfo(query) {
    return request({
        url: '/manage/info/list',
        method: 'get',
        params: query
    })
}

// 查询资讯信息详细
export function getInfo(id) {
    return request({
        url: '/manage/info/' + id,
        method: 'get'
    })
}

// 新增资讯信息
export function addInfo(data) {
    return request({
        url: '/manage/info/add',
        method: 'post',
        data: data
    })
}

// 修改资讯信息
export function updateInfo(data) {
    return request({
        url: '/manage/info/edit',
        method: 'put',
        data: data
    })
}

// 删除资讯信息
export function delInfo(id) {
    return request({
        url: '/manage/info/' + id,
        method: 'delete'
    })
}
